Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.phoenix
Class SystemPermission

    java.lang.Object
      java.security.Permission
          net.jini.security.AccessPermission
              com.sun.jini.phoenix.SystemPermission

All Implemented Interfaces:
  Guard, Serializable

public final class SystemPermission
extends AccessPermission

Represents permissions that can be used to express the access control policy for the `ActivationSystem` remote object exported with `BasicJeriExporter`. This class can be passed to `BasicInvocationDispatcher`, and then used in security policy permission grants.

An instance contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't. The convention is that the target name is the fully qualified name of the remote method being invoked. Wildcard matches are supported using the syntax specified by `AccessPermission`.

The possible target names are:

Permission Target Name | What the Permission Allows | Risks of Allowing this Permission
--- | --- | ---
java.rmi.activation.ActivationSystem.activeGroup | invoking `ActivationSystem.activeGroup` | The caller can inject itself as the instantiation of a group if the group is currently being activated.
java.rmi.activation.ActivationSystem.getActivationDesc | invoking `ActivationSystem.getActivationDesc` | The caller can obtain the descriptor for an existing activatable object if it knows the activation identifier.
java.rmi.activation.ActivationSystem.getActivationGroupDesc | invoking `ActivationSystem.getActivationGroupDesc` | The caller can obtain the descriptor for an existing activation group if it knows the activation group identifier.
java.rmi.activation.ActivationSystem.registerGroup | invoking `ActivationSystem.registerGroup` | The caller can register new activation groups.
java.rmi.activation.ActivationSystem.registerObject | invoking `ActivationSystem.registerObject` | The caller can register new activatable objects.
java.rmi.activation.ActivationSystem.setActivationDesc | invoking `ActivationSystem.setActivationDesc` | The caller can replace the descriptor for an existing activatable object if it knows the activation identifier.
java.rmi.activation.ActivationSystem.setActivationGroupDesc | invoking `ActivationSystem.setActivationGroupDesc` | The caller can replace the descriptor for an existing activation group if it knows the activation group identifier.
java.rmi.activation.ActivationSystem.shutdown | invoking `ActivationSystem.shutdown` | The caller can shut down the activation system.
java.rmi.activation.ActivationSystem.unregisterObject | invoking `ActivationSystem.unregisterObject` | The caller can unregister existing activatable objects if it knows their activation identifiers.
java.rmi.activation.ActivationSystem.unregisterGroup | invoking `ActivationSystem.unregisterGroup` | The caller can unregister existing activation groups if it knows their activation group identifiers.
com.sun.jini.phoenix.ActivationAdmin.getActivationGroups | invoking `ActivationAdmin.getActivationGroups` | The caller can obtain the activation group identifiers and descriptors for all registered activation groups
com.sun.jini.phoenix.ActivationAdmin.getActivatableObjects | invoking `ActivationAdmin.getActivatableObjects` | The caller can obtain the activation identifiers and descriptors for all registered activatable objects in an activation group if it knows the activation group identifier

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`SystemPermission(String name)` Creates an instance with the specified name.

Methods inherited from class net.jini.security.AccessPermission
`equals, getActions, hashCode, implies`

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemPermission

    public SystemPermission(String name)

  Creates an instance with the specified name.

Parameters:
  `name` - the target name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved